{% extends 'base.html' %}

{% block additionalHeader %}
    <meta charset="utf-8">
    <title> Pekerjaan - Read </title>
{% endblock %}

{% block content %}
{% include 'base.html' %}
{% if role == "admin" %}
    <table class="table">
        <tr>
            <th>Nama Pekerjaan</th>
            <th>Base Salary</th>
            <th>Action</th>
        </tr>
        {% for row in hasil %}
        <tr>
            <td> {{ row.nama }} </td>
            <td> {{ row.base_honor }} </td>
            <td><a href="{% url 'update-pekerjaan' pekerjaan=row.nama base_honor=row.base_honor %}">Update</a>
                {% if row.deletable == 'true' %}
                <a href="{% url 'delete-pekerjaan' pekerjaan=row.nama %}">Delete</a>
                {% endif %}
            </td>
        </tr>
        {% endfor %}
    </table>

{% elif role == "pemain" %}
    <table class="table">
        <tr>
            <th>Nama Pekerjaan</th>
            <th>Base Salary</th>
        </tr>
        {% for row in hasil %}
        <tr>
            <td> {{ row.nama }} </td>
            <td> {{ row.base_honor }} </td>
        </tr>
        {% endfor %}
    </table>

{% endif %}
{% endblock %}
